Method: onlineEvaluators.list

Full name: projects.locations.onlineEvaluators.list

Lists the OnlineEvaluators for the given project and location.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/onlineEvaluators

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The parent resource of the OnlineEvaluators to list. Format: projects/{project}/locations/{location}.

Query parameters

pageSize integer

Optional. The maximum number of OnlineEvaluators to return. The service may return fewer than this value. If unspecified, at most 50 OnlineEvaluators will be returned. The maximum value is 100; values above 100 will be coerced to 100. Based on aip.dev/158.

pageToken string

Optional. A token identifying a page of results the server should return. Based on aip.dev/158.

filter string

Optional. Standard list filter. Supported fields: * createTime * updateTime * agentResource Example: createTime>"2026-01-01T00:00:00-04:00" where the timestamp is in RFC 3339 format) Based on aip.dev/160.

orderBy string

Optional. A comma-separated list of fields to order by. The default sorting order is ascending. Use "desc" after a field name for descending. Supported fields: * createTime * updateTime

Example: createTime desc. Based on aip.dev/132.

Request body

The request body must be empty.

Response body

Response message for onlineEvaluators.list.

If successful, the response body contains data with the following structure:

Fields
onlineEvaluators[] object (OnlineEvaluator)

A list of OnlineEvaluators matching the request.

nextPageToken string

A token to retrieve the next page. Absence of this field indicates there are no subsequent pages.

JSON representation
{
  "onlineEvaluators": [
    {
      object (OnlineEvaluator)
    }
  ],
  "nextPageToken": string
}